Module java.base
Package java.lang

# Class ClassCircularityError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.ClassCircularityError

All Implemented Interfaces:
  `Serializable`

public class ClassCircularityError extends LinkageError
Thrown when the Java Virtual Machine detects a circularity in the superclass hierarchy of a class being loaded.

Since:
  1.0
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassCircularityError()`
Constructs a `ClassCircularityError` with no detail message.
`ClassCircularityError​(String s)`
Constructs a `ClassCircularityError` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassCircularityError

public ClassCircularityError()
Constructs a `ClassCircularityError` with no detail message.

### ClassCircularityError

public ClassCircularityError​(String s)
Constructs a `ClassCircularityError` with the specified detail message.

Parameters:
  `s` - The detail message